Subject: Error in WHMCS integration

Description: Hi Team,





I am using kayako and now I am using WHMCS too, and I'm trying to integrate kayako in WHMCS but I've an 

error after configure kayako module following your instructions at 

http://forge.kayako.com/projects/whmcs/wiki





I get this error message:





Fatal error: Uncaught exception 'Exception' with message 'String could not be parsed as XML' in 

/var/www/vhosts/hostpanel.abserver.es/httpdocs/modules/support/kayako/API/kyHelpers.php:31 Stack trace: 

#0 /var/www/vhosts/hostpanel.abserver.es/httpdocs/modules/support/kayako/API/kyHelpers.php(31): 

SimpleXMLElement->__construct('?Fatal error: A...') #1 

/var/www/vhosts/hostpanel.abserver.es/httpdocs/modules/support/kayako/API/kyRESTClient.php(203): 

ky_xml_to_array('?Fatal error: A...') #2 

/var/www/vhosts/hostpanel.abserver.es/httpdocs/modules/support/kayako/API/kyRESTClient.php(221): 

kyRESTClient->processRequest('/Tickets/Ticket', 'GET', Array) #3 

/var/www/vhosts/hostpanel.abserver.es/httpdocs/modules/support/kayako/API/kyObjectBase.php(196): 

kyRESTClient->get('/Tickets/Ticket', Array) #4 

/var/www/vhosts/hostpanel.abserver.es/httpdocs/modules/support/kayako/API/kyTicket.php(692): 

kyObjectBase::getAll(Array) #5 

/var/www/vhosts/hostpanel.abserver.es/httpdocs/modules/support/kayako/fetchOpenTickets.php(51): 

kyTicket::getAll(Objec in 

/var/www/vhosts/hostpanel.abserver.es/httpdocs/modules/support/kayako/API/kyHelpers.php on line 31





Can you help me?





Best regards

History

06/12/2013 09:47 am - Jose Joaquin

I accessed at kayako support, and they have indicated to me the solution of my problem was upgrade kayako version, because version 5.2.5 of 

WHMCS and 4.50.1636 of kayako are not compatible.





I have not been able to implement this solution because I have kayako in production and I'm not sure about this solution. So, I acquired a trial version 

of the last version of kayako to test this solution, but in this scenario I've a lot of problems too and the technical support of kayako tells me: open a new 

issue on forge.kayako.com





With these, I return to the starting point, so I will close this issue without solution.





Thanks for your help.

06/12/2013 11:44 am - Jose Joaquin

Fixed!!





The problem is solved. I can confirm module v1.1, with kayako fusion 4.54.3181 and WHMCS 5.2.5 works.





06 Apr 2025 1/2



The initial error for this issue, was with module v.1.1, kayako fusion 4.50.1636 and WHMCS 5.2.5.





If anyone from this comunity read this comment, please, close the issue.


06/14/2013 06:36 am - Amarjeet Kaur

- Status changed from New to Closed

07/01/2013 01:59 am - Vitaliy 

I have same problem 





Fusion 4.56.0.3459 and WHMCS 5.2.5 





There is a suspicion that the rule does not fire hooks.php

02/27/2014 04:25 am - Mansi Wason

- Status changed from Closed to Resolved
